Next: NEAREST, Previous: MOVE_ALLOC, Up: Intrinsic Procedures [Contents][Index]

### 8.180 `MVBITS` — Move bits from one integer to another

Description:

  Moves LEN bits from positions FROMPOS through `FROMPOS+LEN-1` of FROM to positions TOPOS through `TOPOS+LEN-1` of TO. The portion of argument TO not affected by the movement of bits is unchanged. The values of `FROMPOS+LEN-1` and `TOPOS+LEN-1` must be less than `BIT_SIZE(FROM)`.

Standard:

  Fortran 95 and later

Class:

  Elemental subroutine

Syntax:

  `CALL MVBITS(FROM, FROMPOS, LEN, TO, TOPOS)`

Arguments:

  FROM | The type shall be `INTEGER`.
  FROMPOS | The type shall be `INTEGER`.
  LEN | The type shall be `INTEGER`.
  TO | The type shall be `INTEGER`, of the same kind as FROM.
  TOPOS | The type shall be `INTEGER`.

See also:

  IBCLR, IBSET, IBITS, IAND, IOR, IEOR